<?php
/**
 * CloseCurlyToken represents the T_CLOSE_CURLY token.
 *
 * PHP version 5
 *
 * @category PHP
 * @package  PHP_Reflect
 * @author   Laurent Laville <pear@laurent-laville.org>
 * @license  http://www.opensource.org/licenses/bsd-license.php  BSD License
 * @version  GIT: $Id$
 * @link     http://php5.laurent-laville.org/reflect/
 * @link     http://www.php.net/manual/en/tokens.php
 */

namespace Bartlett\Reflect\Token;

/**
 * Reports information about a close curly.
 *
 * CAUTION: not used by the DefaultParser, but offered for other custom parsers.
 *
 * @category PHP
 * @package  PHP_Reflect
 * @author   Laurent Laville <pear@laurent-laville.org>
 * @license  http://www.opensource.org/licenses/bsd-license.php  BSD License
 * @version  Release: @package_version@
 * @link     http://php5.laurent-laville.org/reflect/
 * @see      Bartlett\Reflect\Tokenizer\DefaultTokenizer
 * @since    Class available since Release 2.0.0RC1
 */
class CloseCurlyToken extends AbstractToken
{
}
